std::length_error(3)

NAME
std::length_error -

SYNOPSIS

Inherits logic_error.

Detailed Description

Thrown when an object is constructed that would exceed its maximum permitted size (e.g., a basic_string instance).

Definition at line 89 of file stdexcept.

  Public Member Functions
length_error (const string &__arg)
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual, inherited]

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.